<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_angular_provider">
    <sp_angular_provider action="INSERT_OR_UPDATE">
        <name>nrUtil</name>
        <script><![CDATA[function nrUtil($rootScope, $interpolate) {
	return {
		getValue: getValue,
		setValue: setValue,
		getValues: getValues
	};

	function getValue(key) {
		if ($rootScope.hasOwnProperty(key)) {
			return $rootScope[key];
		}
		return false;
	}

	function setValue(key, value) {
		$rootScope[key] = value;
	}

	function getValues(scope, cb) {
		scope.$watch('$root["counts"]', function(newVal, oldVal) {
			if (!!newVal) {
				cb(newVal);
			}
		}, cb);
	}

}]]></script>
        <sys_class_name>sp_angular_provider</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2019-01-30 18:16:39</sys_created_on>
        <sys_id>f1540d0e1397e300793df6b2e144b0a2</sys_id>
        <sys_name>nrUtil</sys_name>
        <sys_package display_value="Launchpad by NewRocket" source="x_nero_launchpad">8d46e622134c6700793df6b2e144b0f9</sys_package>
        <sys_policy/>
        <sys_scope display_value="Launchpad by NewRocket">8d46e622134c6700793df6b2e144b0f9</sys_scope>
        <sys_update_name>sp_angular_provider_f1540d0e1397e300793df6b2e144b0a2</sys_update_name>
        <type>factory</type>
    </sp_angular_provider>
</record_update>
